# Advanchat

Created by [Th3Emilis](https://github.com/th3emilis)

Typing and using commands are frustrating tasks for touch players. Advanchat is here to enhance this experience by adding keyboard shortcut-locked abilities, such as autocompletion and message history, at the press of a button. It is time to enjoy the chat screen experience like keyboard players do.

## Features

Advanchat aims to simplify the chat screen experience of touch players by introducing buttons for chat features that are normally only accessible through key bindings. These features are the convenient autocomplete and the handy message history. Use the new tab buttons to autocomplete your commands and the arrow buttons to navigate between your previous messages and send them again.

Other features that Advanchat brings are the ability to prevent the chat screen from closing when taking damage, the option to turn off the chat filter, and UI fixes to refine the look and experience of the chat screen interface even more.

Some features are only available via the different extension packs bundled with the base add-on. If you are not interested in any of the optional features, feel free to delete the extension packs. Should you ever change your mind, reinstalling the add-on is all you have to do in order to recover them.

## Terms of Use

By downloading, installing, accessing, using or interacting in any way with this add-on, you agree to be bound by the following terms:
- **Attribution** — You must give proper credit to the creator if you reference, use or feature any of the add-on contents (user interface, files, etc.) in your own content, such as videos, blogs, or social media posts.
- **No Redistribution** — You may not reproduce, redistribute or republish the add-on in any form or by any means. You may not share the direct download link or any user-generated link to the add-on. Use the official GitHub repository link.
- **Non-Commercial** — You may not use the add-on for any commercial or revenue-generating purposes, such as advertising, selling or renting. You may not charge any fees or request any donations for accessing or using the add-on.
- **No Derivates** — You can remix, adapt or build upon the add-on for your own private use, but you may not share, distribute, or make available the modified version of the add-on to any third party. You also agree not to use any part of the add-on (such as files or code snippets) in other add-ons.

## Feedback

For any suggestions, bugs or help, you are invited to join the Discord community at [https://discord.gg/skqthyTkBQ](https://discord.gg/skqthyTkBQ).